package com.ashokit.example;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController

//RestController is exposed to outside world. Any FE Can consume this Controller
@RequestMapping(value="/accounts")
//http://localhost:8080/accounts ==> AccountController obj=ioc.getAccountController();
public class AccountController {
	
	
	//Saving Account
	//http://localhost:8080/accounts/savings ==> obj.getSavingsAccount();
	@RequestMapping(value="/savings")
	public String getSavingsAccount() {
		return "Savings Account Invoked";
	}
	
	
	
	//Current Account
	//http://localhost:8080/accounts/current ==> obj.getCurrentAccount();
	@RequestMapping(value="/current")
	public String getCurrentAccount() {
		return "Current Account Invoked";
	}
	
	
	
	
	//FD Account
	//http://localhost:8080/accounts/fixed ==> obj.getFDAccount();
	@RequestMapping(value="/fixed")
	public String getFDAccount() {
		return "FD Account Invoked";
	}
	
	
	//RD Account
	
	//http://localhost:8080/accounts/RD ==> obj.getRDAccount();
	@RequestMapping(value="/rd")
	public String getRDAccount() {
		return "RD Account Invoked";
	}
	
	
	//JointAccount
	//http://localhost:8080/accounts/joint ==> obj.getJointDAccount();
	@RequestMapping(value="/joint")
	public String getJointDAccount() {
		return "Joint Account Invoked";
	}
	

}
