package com.ashokit.example;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(value="/amazon")


/*
 * 1)RequestMapping Value should be unique across the application
 * 2)RequestMapping at class level is optional. But if we write it will be applied
 *    to all methods in the class
 *
 */
//http://localhost:8080/amazon ==> AmazonController obj=ioc.getAmazonController();
public class AmazonController {
	
	//Login
	
	@RequestMapping(value="/login")
	//http://localhost:8080/amazon/login ==> obj.getLogin();
	public String getLogin() {
		return "Logged into Amazon Page";
	}
	
	
	public String api1() {
		return "API1";
	}
	
	public String api2() {
		return "API2";
	}
	//Product
	//http://localhost:8080/amazon/product ==> obj.getproduct();
	@RequestMapping(value="/product")
	public String getproduct() {
		
		
		
		
		return "Product Page Invoked";
	}
	
	//Cart
	
	//Order
	//http://localhost:8080/amazon/payment ==> obj.getPayment();
	@RequestMapping(value="/order")
	public String getOrder() {
		return "Order Page Invoked";
	}
	
	//Payment
	//http://localhost:8080/amazon/payment ==> obj.getPayment();
	@RequestMapping(value="/payment")
	public String getPayment() {
		return "Payment Page Invoked";
	}
	
	//Shipment

}
