package com.ashokit.example;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(value="/services")
//http://localhost:8080/services==>ServicesController obj=ioc.getServicesController();
public class ServicesController {

	
	//WithDraw
	//http://localhost:8080/services/withdraw ==> obj.getWithDrawService();
	@RequestMapping(value="/withdraw")
	public String getWithDrawService() {
		return "WithDraw Service Invoked";
	}
	
	
	//Deposit
	//http://localhost:8080/services/deposit ==> obj.getDepositService();
	@RequestMapping(value="/deposit")
	public String getDepositService() {
		return "Deposit Service Invoked";
	}

	//PinChange
	//http://localhost:8080/services/pinchange ==> obj.getPinchangeService();
	@RequestMapping(value="/pinchange")
	public String getPinchangeService() {
		return "Pinchange Service Invoked";
	}
	
	//AccountStatement
}
